PUT
/global-variables/bulk_update/Bulk endpoint for global variables update
You can update global variables within one request. It won't create new ones.
| Attributes | Type | Required | Description |
|---|---|---|---|
| name | string | no | A global variable name. |
| content | string | no | A text value of a global variable. Can be used to store HTML code, string, or JSON. |
Request
- CURL
- JavaScript
- PHP
- Python
curl -X PUT -H "Authorization: Token <your_64_char_api_key>"
-H "Accept: */*; version=2" -H "Content-Type: application/json" -d '[
{"name": "global variable test", "content": "new value"},
{"name": "global_int_1", "content": 1002}
]' "https://<your_app_subdomain>.user.com/api/public/global-variables/bulk_update/"
var data = JSON.stringify([
{"name": "global variable test", "content": "new value"},
{"name": "global_int_1", "content": 1002}
]);
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("PUT", "https://<your_app_subdomain>.user.com/api/public/global-variables/:id/");
xhr.setRequestHeader("authorization", "Token <your_64_char_api_key>");
xhr.setRequestHeader("accept", "*/*; version=2");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/global-variables/bulk_update/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => "[{\"name": \"global variable test\", \n \"content\": \"new value\"}, \n {\"name\": \"global_int_1\", \n\"content\": 1002} \n]",
CURLOPT_HTTPHEADER => array(
"Accept: */*; version=2",
"authorization: Token <your_64_char_api_key>",
"content-type: application/json"
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests
url = "https://<your_app_subdomain>.user.com/api/public/global-variables/bulk_update"
payload = [
{"name": "global variable test", "content": "new value"},
{"name": "global_int_1", "content": 1002}
]
headers = {
"authorization": "Token <your_64_char_api_key>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json)